<?php
/**
* Social buttons
*
* @package PrimeWP WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/


function primewp_header_social_buttons() { ?>

<div class='primewp-top-social-icons'>
    <?php if ( primewp_get_option('twitterlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('twitterlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-twitter" aria-label="<?php esc_attr_e('X Button','primewp'); ?>"><i class="fab fa-x-twitter" aria-hidden="true" title="<?php esc_attr_e('X','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('facebooklink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('facebooklink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','primewp'); ?>"><i class="fab fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('threadslink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('threadslink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-threads" aria-label="<?php esc_attr_e('Threads Button','primewp'); ?>"><i class="fab fa-threads" aria-hidden="true" title="<?php esc_attr_e('Threads','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('pinterestlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('pinterestlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','primewp'); ?>"><i class="fab fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('linkedinlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('linkedinlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','primewp'); ?>"><i class="fab fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('instagramlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('instagramlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','primewp'); ?>"><i class="fab fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('flickrlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('flickrlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','primewp'); ?>"><i class="fab fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('youtubelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('youtubelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','primewp'); ?>"><i class="fab fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('vimeolink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('vimeolink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','primewp'); ?>"><i class="fab fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('soundcloudlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('soundcloudlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','primewp'); ?>"><i class="fab fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('messengerlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('messengerlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','primewp'); ?>"><i class="fab fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','primewp'); ?>"></i></a><?php endif; ?>
   <?php if ( primewp_get_option('whatsapplink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('whatsapplink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-whatsapp" aria-label="<?php esc_attr_e('WhatsApp Button','primewp'); ?>"><i class="fab fa-whatsapp" aria-hidden="true" title="<?php esc_attr_e('WhatsApp','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('tiktoklink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('tiktoklink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-tiktok" aria-label="<?php esc_attr_e('TikTok Button','primewp'); ?>"><i class="fab fa-tiktok" aria-hidden="true" title="<?php esc_attr_e('TikTok','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('lastfmlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('lastfmlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','primewp'); ?>"><i class="fab fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('mediumlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('mediumlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','primewp'); ?>"><i class="fab fa-medium-m" aria-hidden="true" title="<?php esc_attr_e('Medium','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('githublink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('githublink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-github" aria-label="<?php esc_attr_e('Github Button','primewp'); ?>"><i class="fab fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('bitbucketlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('bitbucketlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','primewp'); ?>"><i class="fab fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('tumblrlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('tumblrlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','primewp'); ?>"><i class="fab fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('digglink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('digglink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','primewp'); ?>"><i class="fab fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('deliciouslink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('deliciouslink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','primewp'); ?>"><i class="fab fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('stumblelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('stumblelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','primewp'); ?>"><i class="fab fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('mixlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('mixlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','primewp'); ?>"><i class="fab fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('redditlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('redditlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','primewp'); ?>"><i class="fab fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('dribbblelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('dribbblelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','primewp'); ?>"><i class="fab fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('flipboardlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('flipboardlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','primewp'); ?>"><i class="fab fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('bloggerlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('bloggerlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','primewp'); ?>"><i class="fab fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('etsylink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('etsylink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','primewp'); ?>"><i class="fab fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('behancelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('behancelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','primewp'); ?>"><i class="fab fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('amazonlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('amazonlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','primewp'); ?>"><i class="fab fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('meetuplink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('meetuplink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','primewp'); ?>"><i class="fab fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('mixcloudlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('mixcloudlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','primewp'); ?>"><i class="fab fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('slacklink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('slacklink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','primewp'); ?>"><i class="fab fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('snapchatlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('snapchatlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','primewp'); ?>"><i class="fab fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('spotifylink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('spotifylink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','primewp'); ?>"><i class="fab fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('yelplink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('yelplink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','primewp'); ?>"><i class="fab fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('wordpresslink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('wordpresslink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','primewp'); ?>"><i class="fab fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('twitchlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('twitchlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','primewp'); ?>"><i class="fab fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('telegramlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('telegramlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','primewp'); ?>"><i class="fab fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('bandcamplink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('bandcamplink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','primewp'); ?>"><i class="fab fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('quoralink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('quoralink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','primewp'); ?>"><i class="fab fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('foursquarelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('foursquarelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','primewp'); ?>"><i class="fab fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('deviantartlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('deviantartlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','primewp'); ?>"><i class="fab fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('imdblink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('imdblink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','primewp'); ?>"><i class="fab fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('vklink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('vklink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','primewp'); ?>"><i class="fab fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('codepenlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('codepenlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','primewp'); ?>"><i class="fab fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('jsfiddlelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('jsfiddlelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','primewp'); ?>"><i class="fab fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('stackoverflowlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('stackoverflowlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','primewp'); ?>"><i class="fab fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('stackexchangelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('stackexchangelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','primewp'); ?>"><i class="fab fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('bsalink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('bsalink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','primewp'); ?>"><i class="fab fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('web500pxlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('web500pxlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','primewp'); ?>"><i class="fab fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('ellolink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('ellolink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','primewp'); ?>"><i class="fab fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('discordlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('discordlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-discord" aria-label="<?php esc_attr_e('Discord Button','primewp'); ?>"><i class="fab fa-discord" aria-hidden="true" title="<?php esc_attr_e('Discord','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('goodreadslink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('goodreadslink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','primewp'); ?>"><i class="fab fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('odnoklassnikilink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('odnoklassnikilink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','primewp'); ?>"><i class="fab fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('houzzlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('houzzlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','primewp'); ?>"><i class="fab fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('pocketlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('pocketlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','primewp'); ?>"><i class="fab fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('xinglink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('xinglink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','primewp'); ?>"><i class="fab fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('mastodonlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('mastodonlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-mastodon" aria-label="<?php esc_attr_e('Mastodon Button','primewp'); ?>"><i class="fab fa-mastodon" aria-hidden="true" title="<?php esc_attr_e('Mastodon','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('googleplaylink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('googleplaylink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','primewp'); ?>"><i class="fab fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('slidesharelink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('slidesharelink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','primewp'); ?>"><i class="fab fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('dropboxlink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('dropboxlink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','primewp'); ?>"><i class="fab fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('paypallink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('paypallink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','primewp'); ?>"><i class="fab fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('viadeolink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('viadeolink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','primewp'); ?>"><i class="fab fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('wikipedialink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('wikipedialink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','primewp'); ?>"><i class="fab fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('skypeusername') ) : ?>
            <a href="skype:<?php echo esc_html( primewp_get_option('skypeusername') ); ?>?chat" class="primewp-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','primewp'); ?>"><i class="fab fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('emailaddress') ) : ?>
            <a href="mailto:<?php echo esc_html( primewp_get_option('emailaddress') ); ?>" class="primewp-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','primewp'); ?>"><i class="far fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( primewp_get_option('rsslink') ) : ?>
            <a href="<?php echo esc_url( primewp_get_option('rsslink') ); ?>" target="_blank" rel="nofollow" class="primewp-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','primewp'); ?>"><i class="fas fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','primewp'); ?>"></i></a><?php endif; ?>
    <?php if ( !(primewp_get_option('hide_header_login_button')) ) { ?><?php if (is_user_logged_in()) : ?><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Logout Button', 'primewp' ); ?>" class="primewp-social-icon-login"><i class="fas fa-sign-out-alt" aria-hidden="true" title="<?php esc_attr_e('Logout','primewp'); ?>"></i></a><?php else : ?><a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Login / Register Button', 'primewp' ); ?>" class="primewp-social-icon-login"><i class="fas fa-sign-in-alt" aria-hidden="true" title="<?php esc_attr_e('Login / Register','primewp'); ?>"></i></a><?php endif;?><?php } ?>
</div>

<?php }